{$J+,Z4}
unit pgpErrors;

{**********************************************************************************}
{                                                                                  }
{ The contents of this file are subject to the Mozilla Public License Version 1.1  }
{ (the "License"); you may not use this file except in compliance with the         }
{ License. You may obtain a copy of the License at http://www.mozilla.org/MPL/.    }
{                                                                                  }
{ Software distributed under the License is distributed on an "AS IS" basis,       }
{ WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the }
{ specific language governing rights and limitations under the License.            }
{                                                                                  }
{ The Original Code is the "Borland Delphi Runtime Library PGPsdk" released 10 Apr }
{ 2000, available at http://www.oz.net/~srheller/dpgp/sdk/.                        }
{                                                                                  }
{ The Initial Developer of the Original Code is Steven R. Heller.                  }
{                                                                                  }
{ Portions created by Steven R. Heller are Copyright (C) 2000 Steven R. Heller.    }
{ All Rights Reserved.                                                             }
{                                                                                  }
{ Contributor(s): Michael in der Wiesche <idw.doc@t-online.de> ("idw").            }
{                                                                                  }
{ The original file is pgpErrors.pas based on pgpErrors.h and pgpPFLErrors.h       }
{ from the PGP sources which are Copyright (C) PGP Corporation.                    }
{                                                                                  }
{ Modifications by "idw" (other than stated in the code below):                    }
{                                                                                  }
{ All function declarations and comments removed                                   }
{                                                                                  }
{**********************************************************************************}

interface

const
{ pgpPFLErrors.h }
  kPGPError_BadParams					= -12000;
  kPGPError_OutOfMemory					= -11999;
  kPGPError_BufferTooSmall				= -11998;
  kPGPError_FileNotFound				= -11997;
  kPGPError_CantOpenFile				= -11996;
  kPGPError_FilePermissions				= -11995;
  kPGPError_FileLocked					= -11994;
 {kPGPError_DiskFull					= -11993;}
  kPGPError_IllegalFileOp				= -11992;
  kPGPError_FileOpFailed				= -11991;
  kPGPError_ReadFailed					= -11990;
  kPGPError_WriteFailed					= -11989;
  kPGPError_EOF						= -11988;
  kPGPError_UserAbort					= -11987;
  kPGPError_UnknownRequest				= -11986;
  kPGPError_LazyProgrammer				= -11985;
  kPGPError_ItemNotFound				= -11984;
  kPGPError_ItemAlreadyExists				= -11983;
  kPGPError_AssertFailed				= -11982;
  kPGPError_BadMemAddress				= -11981;
  kPGPError_UnknownError				= -11980;
  kPGPError_PrefNotFound				= -11979;
  kPGPError_EndOfIteration				= -11978;
  kPGPError_ImproperInitialization			= -11977;
  kPGPError_CorruptData					= -11976;
  kPGPError_FeatureNotAvailable				= -11975;

  // PGP 8.X
  kPGPError_MatchNotFound				= -11974;
  kPGPError_ResourceUnavailable				= -11973;
  kPGPError_InsufficientPrivileges			= -11972;
  kPGPError_AlreadyInUse				= -11971;
  kPGPError_Deadlocked					= -11970;
  kPGPError_NotConnected				= -11969;
  kPGPError_BufferTooLarge				= -11968;
  kPGPError_SizeTooLarge				= -11967;

  kPGPError_DiskFull					= -11960;
  kPGPError_DiskLocked					= -11959;

  // PGP 7.X
  kPGPError_GraphicsOpFailed				= -11956;
  kPGPError_MemoryOpFailed				= -11955;
  kPGPError_NetworkOpFailed				= -11954;
  kPGPError_SecurityOpFailed				= -11953;
  kPGPError_StringOpFailed				= -11952;
  kPGPError_SyncObjOpFailed				= -11951;
  kPGPError_ThreadOpFailed				= -11950;
  kPGPError_VolumeOpFailed				= -11949;
  kPGPError_NTDrvIopOpFailed				= -11947;
  kPGPError_NTDrvObjectOpFailed				= -11946;
  kPGPError_Win32COMOpFailed				= -11945;
  kPGPError_Win32CommCtrlOpFailed			= -11944;
  kPGPError_Win32DllOpFailed				= -11943;
  kPGPError_Win32RegistryOpFailed			= -11942;
  kPGPError_Win32ResourceOpFailed			= -11941;
  kPGPError_Win32WindowOpFailed				= -11940;
  kPGPError_RPCFailed					= -11939;
  kPGPError_RPCGarbledMsg				= -11938;

  // PGP 8.X
  kPGPError_NoUnicodeEquivalent				= -11937;
  kPGPError_NetLARefused				= -11936;
  kPGPError_NetLAMismatch				= -11935;
  kPGPError_NetLATooManyRetrievals			= -11934;
  kPGPError_LNCorrupt					= -11933;
  kPGPError_LACorrupt					= -11932;
  kPGPError_LNInvalid					= -11931;
  kPGPError_NetInvalidProdID				= -11930;

  // PGP 9.X
  kPGPError_NetLAEmailFailed				= -11929;
  kPGPError_LAInvalid					= -11928;
  kPGPError_LNVerUnsupported				= -11927;
  kPGPError_LNMultipleProdEvals				= -11926;
  kPGPError_NetLAProxyAuthRequired			= -11925;
  kPGPError_NetLAFailed					= -11924;

  kPGPError_UserDisabled				= -11910;

  kPGPError_NTDrvIopReadFailed				= -11902;
  kPGPError_NTDrvIopWriteFailed				= -11901;
  kPGPError_NTDrvIopFileFailed				= -11900;


{ pgpErrors.h }
  kPGPError_BadPassphrase				= -11500;
  kPGPError_OptionNotFound				= -11499;
  kPGPError_RedundantOptions				= -11498;
  kPGPError_KeyRevoked					= -11497;
  kPGPError_KeyExpired					= -11496;
  kPGPError_KeyDisabled					= -11495;
  kPGPError_KeyInvalid					= -11494;
  kPGPError_KeyUnusableForEncryption			= -11493;
  kPGPError_KeyUnusableForSignature			= -11492;
  kPGPError_OutputBufferTooSmall			= -11491;
  kPGPError_InconsistentEncryptionAlgorithms		= -11490;
  kPGPError_MissingPassphrase				= -11489;
  kPGPError_CombinedConventionalAndPublicEncryption	= -11488;
  kPGPError_DetachedSignatureWithoutSigningKey		= -11487;
  kPGPError_DetachedSignatureWithEncryption		= -11486;
  kPGPError_NoInputOptions				= -11485;
  kPGPError_MultipleInputOptions			= -11484;
  kPGPError_InputFile					= -11483;
  kPGPError_NoOutputOptions				= -11482;
  kPGPError_MultipleOutputOptions			= -11481;
  kPGPError_MissingEventHandler				= -11480;
  kPGPError_MissingKeySet				= -11479;			// PGP 6.5.X
  kPGPError_MissingKeyDB				= kPGPError_MissingKeySet;	// PGP 7.X
  kPGPError_DetachedSignatureFound			= -11478;
  kPGPError_NoDecryptionKeyFound			= -11477;
  kPGPError_CorruptSessionKey				= -11476;
  kPGPError_SkipSection					= -11475;
  kPGPError_Interrupted					= -11474;
  kPGPError_TooManyARRKs				= -11473;
  kPGPError_KeyUnusableForDecryption			= -11472;
  kPGPError_KeygenTimedOut				= -11471;			// PGP 7.X

  kPGPError_IncompatibleAPI				= -11460;

  kPGPError_NotMacBinary				= -11450;
  kPGPError_NoMacBinaryTranslationAvailable		= -11449;
  kPGPError_BadSignature				= -11448;
  kPGPError_CAPIUnsupportedKey				= -11447;
  kPGPError_SelfTestFailed				= -11446;
  kPGPError_SelfTestsNotExecuted			= -11445;
  kPGPError_BadIntegrity				= -11444;
  kPGPError_DeCompressionFailed				= -11443;
  kPGPError_DeletingSelfSig				= -11442;			// PGP 7.X

  kPGPError_InconsistentFilterClasses			= -11440;
  kPGPError_UnsupportedLDAPFilter			= -11439;
  kPGPError_UnsupportedHKPFilter			= -11438;
  kPGPError_UnknownFilterType				= -11437;
  kPGPError_InvalidFilterParameter			= -11436;
  kPGPError_UnsupportedNetToolsCAFilter			= -11435;

  kPGPError_OutOfRings					= -11420;
  kPGPError_BadHashNumber				= -11419;
  kPGPError_BadCipherNumber				= -11418;
  kPGPError_BadKeyLength				= -11417;
  kPGPError_SizeAdviseFailure				= -11416;
  kPGPError_ConfigParseFailure				= -11415;
  kPGPError_ConfigParseFailureBadFunction		= -11414;
  kPGPError_ConfigParseFailureBadOptions		= -11413;
  kPGPError_KeyIsLocked					= -11412;
  kPGPError_CantDecrypt					= -11411;
  kPGPError_UnknownString2Key				= -11410;
  kPGPError_BadSessionKeySize				= -11409;
  kPGPError_UnknownVersion				= -11408;
  kPGPError_BadSessionKeyAlgorithm			= -11407;
  kPGPError_UnknownSignatureType			= -11406;
  kPGPError_BadSignatureSize				= -11405;
  kPGPError_SignatureBitsWrong				= -11404;
  kPGPError_ExtraDateOnSignature			= -11403;
  kPGPError_SecretKeyNotFound				= -11402;
  kPGPError_AdditionalRecipientRequestKeyNotFound	= -11401;
  kPGPError_InvalidCommit				= -11400;
  kPGPError_CantHash					= -11399;
  kPGPError_UnbalancedScope				= -11398;
  kPGPError_WrongScope					= -11397;
  kPGPError_FIFOReadError				= -11396;
  kPGPError_RandomSeedTooSmall				= -11395;
  kPGPError_EnvPriorityTooLow				= -11394;
  kPGPError_UnknownCharMap				= -11393;
  kPGPError_AsciiParseIncomplete			= -11392;
  kPGPError_BadPacket					= -11391;
  kPGPError_TroubleKeySubKey				= -11390;
  kPGPError_TroubleSigSubKey				= -11389;
  kPGPError_TroubleBadTrust				= -11388;
  kPGPError_TroubleUnknownPacketByte			= -11387;
  kPGPError_TroubleUnexpectedSubKey			= -11386;
  kPGPError_TroubleUnexpectedName			= -11385;
  kPGPError_TroubleUnexpectedSignature			= -11384;
  kPGPError_TroubleUnexpectedUnknown			= -11383;
  kPGPError_TroubleUnexpectedTrust			= -11382;
  kPGPError_TroubleKeyTooBig				= -11381;
  kPGPError_TroubleSecretKeyTooBig			= -11380;
  kPGPError_TroubleNameTooBig				= -11379;
  kPGPError_TroubleSignatureTooBig			= -11378;
  kPGPError_TroubleUnknownTooBig			= -11377;
  kPGPError_TroubleDuplicateKeyID			= -11376;
  kPGPError_TroubleDuplicateKey				= -11375;
  kPGPError_TroubleDuplicateSecretKey			= -11374;
  kPGPError_TroubleDuplicateName			= -11373;
  kPGPError_TroubleDuplicateSignature			= -11372;
  kPGPError_TroubleDuplicateUnknown			= -11371;
  kPGPError_TroubleBareKey				= -11370;
  kPGPError_TroubleVersionBugPrev			= -11369;
  kPGPError_TroubleVersionBugCur			= -11368;
  kPGPError_TroubleOldSecretKey				= -11367;
  kPGPError_TroubleNewSecretKey				= -11366;
  kPGPError_TroubleImportingNonexportableSignature	= -11365;
  kPGPError_TroubleDuplicateCRL				= -11364;
  kPGPError_TroubleCRLTooBig				= -11363;

  kPGPError_KEY_LONG					= -11350;
  kPGPError_KeyPacketTruncated				= -11349;
  kPGPError_UnknownKeyVersion				= -11348;
  kPGPError_UnknownPublicKeyAlgorithm			= -11347;
  kPGPError_MalformedKeyModulus				= -11346;
  kPGPError_MalformedKeyExponent			= -11345;
  kPGPError_RSAPublicModulusIsEven			= -11344;
  kPGPError_RSAPublicExponentIsEven			= -11343;
  kPGPError_MalformedKeyComponent			= -11342;
  kPGPError_KeyTooLarge					= -11341;
  kPGPError_PublicKeyTooSmall				= -11340;
  kPGPError_PublicKeyTooLarge				= -11339;
  kPGPError_PublicKeyUnimplemented			= -11338;
  kPGPError_CRLPacketTruncated				= -11337;
  kPGPError_CorruptPrivateKey				= -11336;			// PGP 7.X

  kPGPError_SIG_LONG					= -11330;
  kPGPError_TruncatedSignature				= -11329;
  kPGPError_MalformedSignatureInteger			= -11328;
  kPGPError_UnknownSignatureAlgorithm			= -11327;
  kPGPError_ExtraSignatureMaterial			= -11326;
  kPGPError_UnknownSignatureVersion			= -11325;
  kPGPError_RevocationKeyNotFound			= -11324;

  kPGPError_OutOfEntropy				= -11320;
  kPGPError_ItemIsReadOnly				= -11319;
  kPGPError_InvalidProperty				= -11318;
  kPGPError_FileCorrupt					= -11317;
  kPGPError_DuplicateCert				= -11316;
  kPGPError_DuplicateUserID				= -11315;
  kPGPError_CertifyingKeyDead				= -11314;
  kPGPError_ItemWasDeleted				= -11313;
  kPGPError_KeyDBMismatch				= -11312;

  kPGPError_ServerInProgress				= -11300;
  kPGPError_ServerOperationNotSupported			= -11299;
  kPGPError_ServerInvalidProtocol			= -11298;
  kPGPError_ServerRequestFailed				= -11297;
  kPGPError_ServerOpen					= -11296;
  kPGPError_ServerNotOpen				= -11295;
  kPGPError_ServerKeyAlreadyExists			= -11294;
  kPGPError_ServerNotInitialized			= -11293;
  kPGPError_ServerPartialAddFailure			= -11292;
  kPGPError_ServerCorruptKeyBlock			= -11291;
  kPGPError_ServerUnknownResponse			= -11290;
  kPGPError_ServerTimedOut				= -11289;
  kPGPError_ServerOpenFailed				= -11288;
  kPGPError_ServerAuthorizationRequired			= -11287;
  kPGPError_ServerAuthorizationFailed			= -11286;
  kPGPError_ServerSearchFailed				= -11285;
  kPGPError_ServerPartialSearchResults			= -11284;
  kPGPError_ServerBadKeysInSearchResults		= -11283;
  kPGPError_ServerKeyFailedPolicy			= -11282;
  kPGPError_ServerOperationRequiresTLS			= -11281;
  kPGPError_ServerNoStaticStorage			= -11280;
  kPGPError_ServerCertNotFound				= -11279;

  kPGPError_TLSUnexpectedClose				= -11250;
  kPGPError_TLSProtocolViolation			= -11249;
  kPGPError_TLSVersionUnsupported			= -11248;
  kPGPError_TLSWrongState				= -11247;
  kPGPError_TLSAlertReceived				= -11246;
  kPGPError_TLSKeyUnusable				= -11245;
  kPGPError_TLSNoCommonCipher				= -11244;
  kPGPError_TLSWouldBlock				= -11243;
  kPGPError_TLSRcvdHandshakeRequest			= -11242;

  kPGPError_X509NeededCertNotAvailable			= -11240;
  kPGPError_X509SelfSignedCert				= -11239;
  kPGPError_X509InvalidCertificateSignature		= -11238;
  kPGPError_X509InvalidCertificateFormat		= -11237;
  kPGPError_X509InvalidCertificateTree			= -11236;			// PGP 9.X

  kPGPError_SplitNotEnoughSharesInObject		= -11230;			// PGP 9.X
  kPGPError_SplitDifferentSplitKeys			= -11229;			// PGP 9.X
  kPGPError_SplitDifferentSharePool			= -11228;			// PGP 9.X
  kPGPError_SplitIdenticalShares			= -11227;			// PGP 9.X
  kPGPError_SKEPRejectedAuthentication			= -11226;			// PGP 9.X
  kPGPError_SKEPIncorrectVersion			= -11225;			// PGP 9.X

  kPGPError_SECSHUnexpectedClose			= -11220;			// PGP 7.X
  kPGPError_SECSHProtocolViolation			= -11219;			// PGP 7.X
  kPGPError_SECSHVersionUnsupported			= -11218;			// PGP 7.X
  kPGPError_SECSHWrongState				= -11217;			// PGP 7.X
  kPGPError_SECSHAlertReceived				= -11216;			// PGP 7.X
  kPGPError_SECSHKeyUnusable				= -11215;			// PGP 7.X
  kPGPError_SECSHNoCommonCipher				= -11214;			// PGP 7.X
  kPGPError_SECSHWouldBlock				= -11213;			// PGP 7.X
  kPGPError_SECSHRcvdHandshakeRequest			= -11212;			// PGP 7.X

  kPGPError_BigNumNoInverse				= -11150;

  kPGPError_SocketsNetworkDown				= -11100;
  kPGPError_SocketsNotInitialized			= -11099;
  kPGPError_SocketsInProgress				= -11098;
  kPGPError_SocketsNotConnected				= -11097;
  kPGPError_SocketsNotBound				= -11096;
  kPGPError_SocketsOperationNotSupported		= -11095;
  kPGPError_SocketsProtocolNotSupported			= -11094;
  kPGPError_SocketsAddressFamilyNotSupported		= -11093;
  kPGPError_SocketsNotASocket				= -11092;
  kPGPError_SocketsAddressInUse				= -11091;
  kPGPError_SocketsBufferOverflow			= -11090;
  kPGPError_SocketsListenQueueFull			= -11089;
  kPGPError_SocketsAddressNotAvailable			= -11088;
  kPGPError_SocketsAlreadyConnected			= -11087;
  kPGPError_SocketsTimedOut				= -11086;
  kPGPError_SocketsNoStaticStorage			= -11085;

  kPGPError_SocketsHostNotFound				= -11050;
  kPGPError_SocketsDomainServerError			= -11049;

  kPGPError_X509AttributeNotSupported			= -10999;
  kPGPError_InvalidPKCS7Encoding			= -10998;
  kPGPError_CMSInitialization				= -10997;
  kPGPError_InvalidDistinguishedName			= -10996;
  kPGPError_CertRequestCreationFailure			= -10995;
  kPGPError_MissingX509Certificate			= -10994;
  kPGPError_PKCS7SignFailure				= -10993;
  kPGPError_ASNPackFailure				= -10992;
  kPGPError_InvalidInputFormat				= -10991;
  kPGPError_InvalidOutputFormat				= -10990;
  kPGPError_InvalidCertificateExtension			= -10989;
  kPGPError_PublicKeyNotFound				= -10988;

  kPGPError_CRSMissingRequiredAttribute			= -10979;
  kPGPError_CRSInvalidCharacter				= -10978;
  kPGPError_CRSInvalidAttributeType			= -10977;
  kPGPError_CRSInvalidCertType				= -10976;
  kPGPError_CRSInvalidAttributeValueLength		= -10975;
  kPGPError_CRSInvalidAuthenticateValue			= -10974;
  kPGPError_X509CertificateParseError			= -10973;			// PGP 7.X
  kPGPError_PKCS7EncryptFailure				= -10972;			// PGP 7.X
  kPGPError_PKCS7DecryptFailure				= -10971;			// PGP 7.X

  // PGP 7.X
  kPGPError_LDAPOperationsError				= -10950;
  kPGPError_LDAPProtocolError				= -10949;
  kPGPError_LDAPTimelimitExceeded			= -10948;
  kPGPError_LDAPSizelimitExceeded			= -10947;
  kPGPError_LDAPStrongAuthNotSupported			= -10946;
  kPGPError_LDAPStrongAuthRequired			= -10945;
  kPGPError_LDAPPartialResults				= -10944;
  kPGPError_LDAPNoSuchAttribute				= -10943;
  kPGPError_LDAPUndefinedType				= -10942;
  kPGPError_LDAPInappropriateMatching			= -10941;
  kPGPError_LDAPConstraintViolation			= -10940;
  kPGPError_LDAPTypeOrValueExists			= -10939;
  kPGPError_LDAPInvalidSyntax				= -10938;
  kPGPError_LDAPNoSuchObject 				= -10937;
  kPGPError_LDAPAliasProblem 				= -10936;
  kPGPError_LDAPInvalidDNSyntax				= -10935;
  kPGPError_LDAPIsLeaf					= -10934;
  kPGPError_LDAPAliasDerefProblem			= -10933;
  kPGPError_LDAPInappropriateAuth			= -10932;
  kPGPError_LDAPInvalidCredentials			= -10931;
  kPGPError_LDAPInsufficientAccess			= -10930;
  kPGPError_LDAPBusy 					= -10929;
  kPGPError_LDAPUnavailable				= -10928;
  kPGPError_LDAPUnwillingToPerform			= -10927;
  kPGPError_LDAPLoopDetect				= -10926;
  kPGPError_LDAPNamingViolation				= -10925;
  kPGPError_LDAPObjectClassViolation 			= -10924;
  kPGPError_LDAPNotAllowedOnNonleaf			= -10923;
  kPGPError_LDAPNotAllowedOnRDN				= -10922;
  kPGPError_LDAPAlreadyExists				= -10921;
  kPGPError_LDAPNoObjectClassMods			= -10920;
  kPGPError_LDAPResultsTooLarge				= -10919;
  kPGPError_LDAPOther					= -10918;
  kPGPError_LDAPServerDown				= -10917;
  kPGPError_LDAPLocalError				= -10916;
  kPGPError_LDAPEncodingError				= -10915;
  kPGPError_LDAPDecodingError				= -10914;
  kPGPError_LDAPTimeout					= -10913;
  kPGPError_LDAPAuthUnknown				= -10912;
  kPGPError_LDAPFilterError				= -10911;
  kPGPError_LDAPUserCancelled				= -10910;
  kPGPError_LDAPParamError				= -10909;
  kPGPError_LDAPConnectError 				= -10908;

  kPGPError_LDAPNotLDAPURL				= -10880;
  kPGPError_LDAPNoDN					= -10879;
  kPGPError_LDAPBadScope				= -10878;

  kPGPError_SmartCardError				= -10850;
  kPGPError_SmartCardOutOfMemory			= -10849;
  kPGPError_SmartCardKeyNotFound			= -10848;
  kPGPError_SmartCardX509Exists				= -10847;
  kPGPError_SmartCardKeyExists				= -10846;
  kPGPError_SmartCardPinLocked				= -10845;			// PGP 8.X
  kPGPError_SmartCardNotFound				= -10844;			// PGP 9.X

  kPGPError_NoErr					=      0;

implementation	// code removed by idw

end.

